Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76889 - RFE: support additional driver disk via floppy during kickstart
Summary: RFE: support additional driver disk via floppy during kickstart
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-28 19:44 UTC by jbowman
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-16 17:21:55 UTC


Attachments (Terms of Use)

Description jbowman 2002-10-28 19:44:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021021
Phoenix/0.3

Description of problem:
Additional driver disks are supported, but only via a hard drive (i.e. the
'driverdisk' config option). For those of us kickstarting onto fresh hardware,
that's not a usable option. A config option for "Prompt for an additional driver
disk, load drivers presented, then continue unattended" would be ideal, as it
would allow a kickstart install to proceed with minimal oversight. Right now, in
order to kickstart a machine with, say, an ethernet controller not supported by
the standard bootnet.img, the entire kickstart procedure must be done manually.

Ideally, there should be a prompt for an additional drivers disk, which, when
presented, loads the new drivers disk and then continues onwards based on the
configuration information present in the ks.cfg.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to do an unattended kickstart on, say, a Dell PowerEdge 2650 using the
onboard ethernet controllers, which use the tg3 module.
2.
3.
	

Additional info:

Comment 1 Jeremy Katz 2002-12-16 17:21:55 UTC
Just boot with 'linux dd ks=...' and this will work.

Comment 2 Michael Fulbright 2002-12-20 17:38:25 UTC
Time tracking values updated


Note You need to log in before you can comment on or make changes to this bug.